<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'contuspg_detailbx', 'luzuk_premium_contactus_section', 'Detail Box ');

$wp_customize->add_setting(
	'dbx_tle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get In Touch!', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'dbx_tle',
	array(
		'settings'      => 'dbx_tle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Detail Box Heading', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'lzk_contactus_detlheadClr', 'luzuk_premium_contactus_section', 'Heading Color', '#d1d2d6');

$wp_customize->add_setting(
	'dbx_subtle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get In Touch!', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'dbx_subtle',
	array(
		'settings'      => 'dbx_subtle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Detail Box Sub Heading', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'lzk_contactus_detlsubheadicnClr', 'luzuk_premium_contactus_section', 'Sub Heading Icon Color', '#7FDB54');

addColorPalatOption($wp_customize, 'lzk_contactus_detlsubheadClr', 'luzuk_premium_contactus_section', 'Sub Heading Color', '#24345D');

$wp_customize->add_setting(
	'dbx_txt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get your automotive-related questions answered by a mechanic', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'dbx_txt',
	array(
		'settings'      => 'dbx_txt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Detail Box Text', 'luzuk Premium' )
	)
);
addColorPalatOption($wp_customize, 'lzk_contactus_detltxtClr', 'luzuk_premium_contactus_section', 'Detail Box Text Color', '#2E2E2D');

//lzCustomLable($wp_customize, 'contuspg_dtilbx1', 'luzuk_premium_contactus_section', 'Detail Box');

$wp_customize->add_setting(
	'lzk_contactpg_addtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Our Address', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lzk_contactpg_addtitle',
	array(
		'settings'      => 'lzk_contactpg_addtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Title', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'lzk_contactpg_emailtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Email', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lzk_contactpg_emailtitle',
	array(
		'settings'      => 'lzk_contactpg_emailtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@example.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'lzk_contactpg_phtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Support 24/7', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lzk_contactpg_phtitle',
	array(
		'settings'      => 'lzk_contactpg_phtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '000-123-456789', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_contpageclr', 'luzuk_premium_contactus_section', 'Detail Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemicnClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone Icon Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemtitleClr', 'luzuk_premium_contactus_section', 'Address Title , Email Title , Phone Title Color', '#2E2E2D');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Address Text , Email , Phone No. Color', '#24345D');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email , Phone No. Hover Color', '#7FDB54');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphembgbxhvClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone No. BG Hover Color', '#dad9d9');


// image box
lzCustomLable($wp_customize, 'contuspg_imgbx', 'luzuk_premium_contactus_section', 'Image Box ');

$wp_customize->add_setting(
    'contpg_imalble',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contpg_imalble',
        array(
            'settings'      => 'contpg_imalble',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( ' Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'contpg_image1',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'contpg_image1',
        array(
            'section' => 'luzuk_premium_contactus_section',
            'settings' => 'contpg_image1',
            'description' => __('Recommended Image Size: 529X777', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting(
	'contusimg_imgtxt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised which do not look even believable.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contusimg_imgtxt',
	array(
		'settings'      => 'contusimg_imgtxt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Image Text', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'contactus_imftxtbgClr', 'luzuk_premium_contactus_section', 'Image Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'contactus_imftxtClr', 'luzuk_premium_contactus_section', 'Image Text Color', '#24345D');

addColorPalatOption($wp_customize, 'contactus_imftxticnClr', 'luzuk_premium_contactus_section', 'Image Text Icon Color', '#e8e7e7');

//field for addeding the map code
// image box
lzCustomLable($wp_customize, 'contus_map', 'luzuk_premium_contactus_section', 'Map Box ');

$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));


lzCustomLable($wp_customize, 'luzuk_sec_Formcontpageclr', 'luzuk_premium_contactus_section', 'Form Box ');

$wp_customize->add_setting(
	'scodetitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'contact us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'scodetitle',
	array(
		'settings'      => 'scodetitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Title', 'luzuk Premium' )
	)
);

// form
addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleClr', 'luzuk_premium_contactus_section', 'Form Box Title Color', '#24345D');


$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'contuspg_dfmclr', 'luzuk_premium_contactus_section', 'Form Color ');


addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#656565');

addColorPalatOption($wp_customize, 'contactus_formlabelbgClr', 'luzuk_premium_contactus_section', 'Form Label BG Color', '#EEEEEE');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#656565');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#434343');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#EEEEEE');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghvClr', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');
